# API Reference <a name="API Reference" id="api-reference"></a>

## Constructs <a name="Constructs" id="constructs"></a>

### ChimePhoneNumber <a name="@schuettc/cdk-chime-resources.ChimePhoneNumber" id="schuettccdkchimeresourceschimephonenumber"></a>

#### Initializers <a name="@schuettc/cdk-chime-resources.ChimePhoneNumber.Initializer" id="schuettccdkchimeresourceschimephonenumberinitializer"></a>

```typescript
import { ChimePhoneNumber } from '@schuettc/cdk-chime-resources'

new ChimePhoneNumber(scope: Construct, id: string, props: PhoneNumberProps)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#schuettccdkchimeresourceschimephonenumberparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | *No description.* |
| [`id`](#schuettccdkchimeresourceschimephonenumberparameterid)<span title="Required">*</span> | `string` | *No description.* |
| [`props`](#schuettccdkchimeresourceschimephonenumberparameterprops)<span title="Required">*</span> | [`@schuettc/cdk-chime-resources.PhoneNumberProps`](#@schuettc/cdk-chime-resources.PhoneNumberProps) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@schuettc/cdk-chime-resources.ChimePhoneNumber.parameter.scope" id="schuettccdkchimeresourceschimephonenumberparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

---

##### `id`<sup>Required</sup> <a name="@schuettc/cdk-chime-resources.ChimePhoneNumber.parameter.id" id="schuettccdkchimeresourceschimephonenumberparameterid"></a>

- *Type:* `string`

---

##### `props`<sup>Required</sup> <a name="@schuettc/cdk-chime-resources.ChimePhoneNumber.parameter.props" id="schuettccdkchimeresourceschimephonenumberparameterprops"></a>

- *Type:* [`@schuettc/cdk-chime-resources.PhoneNumberProps`](#@schuettc/cdk-chime-resources.PhoneNumberProps)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`associateWithVoiceConnector`](#schuettccdkchimeresourceschimephonenumberassociatewithvoiceconnector) | *No description.* |

---

##### `associateWithVoiceConnector` <a name="@schuettc/cdk-chime-resources.ChimePhoneNumber.associateWithVoiceConnector" id="schuettccdkchimeresourceschimephonenumberassociatewithvoiceconnector"></a>

```typescript
public associateWithVoiceConnector(voiceConnectorId: ChimeVoiceConnector)
```

###### `voiceConnectorId`<sup>Required</sup> <a name="@schuettc/cdk-chime-resources.ChimePhoneNumber.parameter.voiceConnectorId" id="schuettccdkchimeresourceschimephonenumberparametervoiceconnectorid"></a>

- *Type:* [`@schuettc/cdk-chime-resources.ChimeVoiceConnector`](#@schuettc/cdk-chime-resources.ChimeVoiceConnector)

---


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`phoneNumber`](#schuettccdkchimeresourceschimephonenumberpropertyphonenumber)<span title="Required">*</span> | `string` | *No description.* |

---

##### `phoneNumber`<sup>Required</sup> <a name="@schuettc/cdk-chime-resources.ChimePhoneNumber.property.phoneNumber" id="schuettccdkchimeresourceschimephonenumberpropertyphonenumber"></a>

```typescript
public readonly phoneNumber: string;
```

- *Type:* `string`

---


### ChimeResources <a name="@schuettc/cdk-chime-resources.ChimeResources" id="schuettccdkchimeresourceschimeresources"></a>

#### Initializers <a name="@schuettc/cdk-chime-resources.ChimeResources.Initializer" id="schuettccdkchimeresourceschimeresourcesinitializer"></a>

```typescript
import { ChimeResources } from '@schuettc/cdk-chime-resources'

new ChimeResources(scope: Construct, id: string, props: ChimeResourceProps)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#schuettccdkchimeresourceschimeresourcesparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | *No description.* |
| [`id`](#schuettccdkchimeresourceschimeresourcesparameterid)<span title="Required">*</span> | `string` | *No description.* |
| [`props`](#schuettccdkchimeresourceschimeresourcesparameterprops)<span title="Required">*</span> | [`@schuettc/cdk-chime-resources.ChimeResourceProps`](#@schuettc/cdk-chime-resources.ChimeResourceProps) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@schuettc/cdk-chime-resources.ChimeResources.parameter.scope" id="schuettccdkchimeresourceschimeresourcesparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

---

##### `id`<sup>Required</sup> <a name="@schuettc/cdk-chime-resources.ChimeResources.parameter.id" id="schuettccdkchimeresourceschimeresourcesparameterid"></a>

- *Type:* `string`

---

##### `props`<sup>Required</sup> <a name="@schuettc/cdk-chime-resources.ChimeResources.parameter.props" id="schuettccdkchimeresourceschimeresourcesparameterprops"></a>

- *Type:* [`@schuettc/cdk-chime-resources.ChimeResourceProps`](#@schuettc/cdk-chime-resources.ChimeResourceProps)

---



#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`chimeCustomResource`](#schuettccdkchimeresourceschimeresourcespropertychimecustomresource)<span title="Required">*</span> | [`aws-cdk-lib.CustomResource`](#aws-cdk-lib.CustomResource) | *No description.* |
| [`lambda`](#schuettccdkchimeresourceschimeresourcespropertylambda)<span title="Required">*</span> | [`aws-cdk-lib.aws_lambda.IFunction`](#aws-cdk-lib.aws_lambda.IFunction) | *No description.* |

---

##### `chimeCustomResource`<sup>Required</sup> <a name="@schuettc/cdk-chime-resources.ChimeResources.property.chimeCustomResource" id="schuettccdkchimeresourceschimeresourcespropertychimecustomresource"></a>

```typescript
public readonly chimeCustomResource: CustomResource;
```

- *Type:* [`aws-cdk-lib.CustomResource`](#aws-cdk-lib.CustomResource)

---

##### `lambda`<sup>Required</sup> <a name="@schuettc/cdk-chime-resources.ChimeResources.property.lambda" id="schuettccdkchimeresourceschimeresourcespropertylambda"></a>

```typescript
public readonly lambda: IFunction;
```

- *Type:* [`aws-cdk-lib.aws_lambda.IFunction`](#aws-cdk-lib.aws_lambda.IFunction)

---


### ChimeSipMediaApp <a name="@schuettc/cdk-chime-resources.ChimeSipMediaApp" id="schuettccdkchimeresourceschimesipmediaapp"></a>

#### Initializers <a name="@schuettc/cdk-chime-resources.ChimeSipMediaApp.Initializer" id="schuettccdkchimeresourceschimesipmediaappinitializer"></a>

```typescript
import { ChimeSipMediaApp } from '@schuettc/cdk-chime-resources'

new ChimeSipMediaApp(scope: Construct, id: string, props: SipMediaAppProps)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#schuettccdkchimeresourceschimesipmediaappparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | *No description.* |
| [`id`](#schuettccdkchimeresourceschimesipmediaappparameterid)<span title="Required">*</span> | `string` | *No description.* |
| [`props`](#schuettccdkchimeresourceschimesipmediaappparameterprops)<span title="Required">*</span> | [`@schuettc/cdk-chime-resources.SipMediaAppProps`](#@schuettc/cdk-chime-resources.SipMediaAppProps) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@schuettc/cdk-chime-resources.ChimeSipMediaApp.parameter.scope" id="schuettccdkchimeresourceschimesipmediaappparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

---

##### `id`<sup>Required</sup> <a name="@schuettc/cdk-chime-resources.ChimeSipMediaApp.parameter.id" id="schuettccdkchimeresourceschimesipmediaappparameterid"></a>

- *Type:* `string`

---

##### `props`<sup>Required</sup> <a name="@schuettc/cdk-chime-resources.ChimeSipMediaApp.parameter.props" id="schuettccdkchimeresourceschimesipmediaappparameterprops"></a>

- *Type:* [`@schuettc/cdk-chime-resources.SipMediaAppProps`](#@schuettc/cdk-chime-resources.SipMediaAppProps)

---



#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`sipMediaAppId`](#schuettccdkchimeresourceschimesipmediaapppropertysipmediaappid)<span title="Required">*</span> | `string` | *No description.* |

---

##### `sipMediaAppId`<sup>Required</sup> <a name="@schuettc/cdk-chime-resources.ChimeSipMediaApp.property.sipMediaAppId" id="schuettccdkchimeresourceschimesipmediaapppropertysipmediaappid"></a>

```typescript
public readonly sipMediaAppId: string;
```

- *Type:* `string`

---


### ChimeSipRule <a name="@schuettc/cdk-chime-resources.ChimeSipRule" id="schuettccdkchimeresourceschimesiprule"></a>

#### Initializers <a name="@schuettc/cdk-chime-resources.ChimeSipRule.Initializer" id="schuettccdkchimeresourceschimesipruleinitializer"></a>

```typescript
import { ChimeSipRule } from '@schuettc/cdk-chime-resources'

new ChimeSipRule(scope: Construct, id: string, props: SipRuleProps)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#schuettccdkchimeresourceschimesipruleparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | *No description.* |
| [`id`](#schuettccdkchimeresourceschimesipruleparameterid)<span title="Required">*</span> | `string` | *No description.* |
| [`props`](#schuettccdkchimeresourceschimesipruleparameterprops)<span title="Required">*</span> | [`@schuettc/cdk-chime-resources.SipRuleProps`](#@schuettc/cdk-chime-resources.SipRuleProps) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@schuettc/cdk-chime-resources.ChimeSipRule.parameter.scope" id="schuettccdkchimeresourceschimesipruleparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

---

##### `id`<sup>Required</sup> <a name="@schuettc/cdk-chime-resources.ChimeSipRule.parameter.id" id="schuettccdkchimeresourceschimesipruleparameterid"></a>

- *Type:* `string`

---

##### `props`<sup>Required</sup> <a name="@schuettc/cdk-chime-resources.ChimeSipRule.parameter.props" id="schuettccdkchimeresourceschimesipruleparameterprops"></a>

- *Type:* [`@schuettc/cdk-chime-resources.SipRuleProps`](#@schuettc/cdk-chime-resources.SipRuleProps)

---



#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`sipRuleId`](#schuettccdkchimeresourceschimesiprulepropertysipruleid)<span title="Required">*</span> | `string` | *No description.* |

---

##### `sipRuleId`<sup>Required</sup> <a name="@schuettc/cdk-chime-resources.ChimeSipRule.property.sipRuleId" id="schuettccdkchimeresourceschimesiprulepropertysipruleid"></a>

```typescript
public readonly sipRuleId: string;
```

- *Type:* `string`

---


### ChimeVoiceConnector <a name="@schuettc/cdk-chime-resources.ChimeVoiceConnector" id="schuettccdkchimeresourceschimevoiceconnector"></a>

#### Initializers <a name="@schuettc/cdk-chime-resources.ChimeVoiceConnector.Initializer" id="schuettccdkchimeresourceschimevoiceconnectorinitializer"></a>

```typescript
import { ChimeVoiceConnector } from '@schuettc/cdk-chime-resources'

new ChimeVoiceConnector(scope: Construct, id: string, props: VoiceConnectorProps)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#schuettccdkchimeresourceschimevoiceconnectorparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | *No description.* |
| [`id`](#schuettccdkchimeresourceschimevoiceconnectorparameterid)<span title="Required">*</span> | `string` | *No description.* |
| [`props`](#schuettccdkchimeresourceschimevoiceconnectorparameterprops)<span title="Required">*</span> | [`@schuettc/cdk-chime-resources.VoiceConnectorProps`](#@schuettc/cdk-chime-resources.VoiceConnectorProps) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@schuettc/cdk-chime-resources.ChimeVoiceConnector.parameter.scope" id="schuettccdkchimeresourceschimevoiceconnectorparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

---

##### `id`<sup>Required</sup> <a name="@schuettc/cdk-chime-resources.ChimeVoiceConnector.parameter.id" id="schuettccdkchimeresourceschimevoiceconnectorparameterid"></a>

- *Type:* `string`

---

##### `props`<sup>Required</sup> <a name="@schuettc/cdk-chime-resources.ChimeVoiceConnector.parameter.props" id="schuettccdkchimeresourceschimevoiceconnectorparameterprops"></a>

- *Type:* [`@schuettc/cdk-chime-resources.VoiceConnectorProps`](#@schuettc/cdk-chime-resources.VoiceConnectorProps)

---



#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`voiceConnectorId`](#schuettccdkchimeresourceschimevoiceconnectorpropertyvoiceconnectorid)<span title="Required">*</span> | `string` | *No description.* |

---

##### `voiceConnectorId`<sup>Required</sup> <a name="@schuettc/cdk-chime-resources.ChimeVoiceConnector.property.voiceConnectorId" id="schuettccdkchimeresourceschimevoiceconnectorpropertyvoiceconnectorid"></a>

```typescript
public readonly voiceConnectorId: string;
```

- *Type:* `string`

---


### PhoneAssociation <a name="@schuettc/cdk-chime-resources.PhoneAssociation" id="schuettccdkchimeresourcesphoneassociation"></a>

#### Initializers <a name="@schuettc/cdk-chime-resources.PhoneAssociation.Initializer" id="schuettccdkchimeresourcesphoneassociationinitializer"></a>

```typescript
import { PhoneAssociation } from '@schuettc/cdk-chime-resources'

new PhoneAssociation(scope: Construct, id: string, props: PhoneAssociationProps)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#schuettccdkchimeresourcesphoneassociationparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | *No description.* |
| [`id`](#schuettccdkchimeresourcesphoneassociationparameterid)<span title="Required">*</span> | `string` | *No description.* |
| [`props`](#schuettccdkchimeresourcesphoneassociationparameterprops)<span title="Required">*</span> | [`@schuettc/cdk-chime-resources.PhoneAssociationProps`](#@schuettc/cdk-chime-resources.PhoneAssociationProps) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@schuettc/cdk-chime-resources.PhoneAssociation.parameter.scope" id="schuettccdkchimeresourcesphoneassociationparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

---

##### `id`<sup>Required</sup> <a name="@schuettc/cdk-chime-resources.PhoneAssociation.parameter.id" id="schuettccdkchimeresourcesphoneassociationparameterid"></a>

- *Type:* `string`

---

##### `props`<sup>Required</sup> <a name="@schuettc/cdk-chime-resources.PhoneAssociation.parameter.props" id="schuettccdkchimeresourcesphoneassociationparameterprops"></a>

- *Type:* [`@schuettc/cdk-chime-resources.PhoneAssociationProps`](#@schuettc/cdk-chime-resources.PhoneAssociationProps)

---



#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`phoneAssociationResource`](#schuettccdkchimeresourcesphoneassociationpropertyphoneassociationresource)<span title="Required">*</span> | [`aws-cdk-lib.custom_resources.AwsCustomResource`](#aws-cdk-lib.custom_resources.AwsCustomResource) | *No description.* |

---

##### `phoneAssociationResource`<sup>Required</sup> <a name="@schuettc/cdk-chime-resources.PhoneAssociation.property.phoneAssociationResource" id="schuettccdkchimeresourcesphoneassociationpropertyphoneassociationresource"></a>

```typescript
public readonly phoneAssociationResource: AwsCustomResource;
```

- *Type:* [`aws-cdk-lib.custom_resources.AwsCustomResource`](#aws-cdk-lib.custom_resources.AwsCustomResource)

---


## Structs <a name="Structs" id="structs"></a>

### ChimeResourceProps <a name="@schuettc/cdk-chime-resources.ChimeResourceProps" id="schuettccdkchimeresourceschimeresourceprops"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { ChimeResourceProps } from '@schuettc/cdk-chime-resources'

const chimeResourceProps: ChimeResourceProps = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`account`](#schuettccdkchimeresourceschimeresourcepropspropertyaccount) | `string` | The AWS account ID this resource belongs to. |
| [`environmentFromArn`](#schuettccdkchimeresourceschimeresourcepropspropertyenvironmentfromarn) | `string` | ARN to deduce region and account from. |
| [`physicalName`](#schuettccdkchimeresourceschimeresourcepropspropertyphysicalname) | `string` | The value passed in by users to the physical name prop of the resource. |
| [`region`](#schuettccdkchimeresourceschimeresourcepropspropertyregion) | `string` | The AWS region this resource belongs to. |
| [`properties`](#schuettccdkchimeresourceschimeresourcepropspropertyproperties)<span title="Required">*</span> | {[ key: string ]: `any`} | *No description.* |
| [`resourceType`](#schuettccdkchimeresourceschimeresourcepropspropertyresourcetype)<span title="Required">*</span> | `string` | *No description.* |
| [`uid`](#schuettccdkchimeresourceschimeresourcepropspropertyuid)<span title="Required">*</span> | `string` | *No description.* |

---

##### `account`<sup>Optional</sup> <a name="@schuettc/cdk-chime-resources.ChimeResourceProps.property.account" id="schuettccdkchimeresourceschimeresourcepropspropertyaccount"></a>

```typescript
public readonly account: string;
```

- *Type:* `string`
- *Default:* the resource is in the same account as the stack it belongs to

The AWS account ID this resource belongs to.

---

##### `environmentFromArn`<sup>Optional</sup> <a name="@schuettc/cdk-chime-resources.ChimeResourceProps.property.environmentFromArn" id="schuettccdkchimeresourceschimeresourcepropspropertyenvironmentfromarn"></a>

```typescript
public readonly environmentFromArn: string;
```

- *Type:* `string`
- *Default:* take environment from `account`, `region` parameters, or use Stack environment.

ARN to deduce region and account from.

The ARN is parsed and the account and region are taken from the ARN. This should be used for imported resources.  Cannot be supplied together with either `account` or `region`.

---

##### `physicalName`<sup>Optional</sup> <a name="@schuettc/cdk-chime-resources.ChimeResourceProps.property.physicalName" id="schuettccdkchimeresourceschimeresourcepropspropertyphysicalname"></a>

```typescript
public readonly physicalName: string;
```

- *Type:* `string`
- *Default:* The physical name will be allocated by CloudFormation at deployment time

The value passed in by users to the physical name prop of the resource.

`undefined` implies that a physical name will be allocated by    CloudFormation during deployment. - a concrete value implies a specific physical name - `PhysicalName.GENERATE_IF_NEEDED` is a marker that indicates that a physical will only be generated    by the CDK if it is needed for cross-environment references. Otherwise, it will be allocated by CloudFormation.

---

##### `region`<sup>Optional</sup> <a name="@schuettc/cdk-chime-resources.ChimeResourceProps.property.region" id="schuettccdkchimeresourceschimeresourcepropspropertyregion"></a>

```typescript
public readonly region: string;
```

- *Type:* `string`
- *Default:* the resource is in the same region as the stack it belongs to

The AWS region this resource belongs to.

---

##### `properties`<sup>Required</sup> <a name="@schuettc/cdk-chime-resources.ChimeResourceProps.property.properties" id="schuettccdkchimeresourceschimeresourcepropspropertyproperties"></a>

```typescript
public readonly properties: {[ key: string ]: any};
```

- *Type:* {[ key: string ]: `any`}

---

##### `resourceType`<sup>Required</sup> <a name="@schuettc/cdk-chime-resources.ChimeResourceProps.property.resourceType" id="schuettccdkchimeresourceschimeresourcepropspropertyresourcetype"></a>

```typescript
public readonly resourceType: string;
```

- *Type:* `string`

---

##### `uid`<sup>Required</sup> <a name="@schuettc/cdk-chime-resources.ChimeResourceProps.property.uid" id="schuettccdkchimeresourceschimeresourcepropspropertyuid"></a>

```typescript
public readonly uid: string;
```

- *Type:* `string`

---

### PhoneAssociationProps <a name="@schuettc/cdk-chime-resources.PhoneAssociationProps" id="schuettccdkchimeresourcesphoneassociationprops"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { PhoneAssociationProps } from '@schuettc/cdk-chime-resources'

const phoneAssociationProps: PhoneAssociationProps = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`account`](#schuettccdkchimeresourcesphoneassociationpropspropertyaccount) | `string` | The AWS account ID this resource belongs to. |
| [`environmentFromArn`](#schuettccdkchimeresourcesphoneassociationpropspropertyenvironmentfromarn) | `string` | ARN to deduce region and account from. |
| [`physicalName`](#schuettccdkchimeresourcesphoneassociationpropspropertyphysicalname) | `string` | The value passed in by users to the physical name prop of the resource. |
| [`region`](#schuettccdkchimeresourcesphoneassociationpropspropertyregion) | `string` | The AWS region this resource belongs to. |
| [`e164PhoneNumber`](#schuettccdkchimeresourcesphoneassociationpropspropertye164phonenumber)<span title="Required">*</span> | `string` | *No description.* |
| [`voiceConnectorId`](#schuettccdkchimeresourcesphoneassociationpropspropertyvoiceconnectorid)<span title="Required">*</span> | `string` | *No description.* |

---

##### `account`<sup>Optional</sup> <a name="@schuettc/cdk-chime-resources.PhoneAssociationProps.property.account" id="schuettccdkchimeresourcesphoneassociationpropspropertyaccount"></a>

```typescript
public readonly account: string;
```

- *Type:* `string`
- *Default:* the resource is in the same account as the stack it belongs to

The AWS account ID this resource belongs to.

---

##### `environmentFromArn`<sup>Optional</sup> <a name="@schuettc/cdk-chime-resources.PhoneAssociationProps.property.environmentFromArn" id="schuettccdkchimeresourcesphoneassociationpropspropertyenvironmentfromarn"></a>

```typescript
public readonly environmentFromArn: string;
```

- *Type:* `string`
- *Default:* take environment from `account`, `region` parameters, or use Stack environment.

ARN to deduce region and account from.

The ARN is parsed and the account and region are taken from the ARN. This should be used for imported resources.  Cannot be supplied together with either `account` or `region`.

---

##### `physicalName`<sup>Optional</sup> <a name="@schuettc/cdk-chime-resources.PhoneAssociationProps.property.physicalName" id="schuettccdkchimeresourcesphoneassociationpropspropertyphysicalname"></a>

```typescript
public readonly physicalName: string;
```

- *Type:* `string`
- *Default:* The physical name will be allocated by CloudFormation at deployment time

The value passed in by users to the physical name prop of the resource.

`undefined` implies that a physical name will be allocated by    CloudFormation during deployment. - a concrete value implies a specific physical name - `PhysicalName.GENERATE_IF_NEEDED` is a marker that indicates that a physical will only be generated    by the CDK if it is needed for cross-environment references. Otherwise, it will be allocated by CloudFormation.

---

##### `region`<sup>Optional</sup> <a name="@schuettc/cdk-chime-resources.PhoneAssociationProps.property.region" id="schuettccdkchimeresourcesphoneassociationpropspropertyregion"></a>

```typescript
public readonly region: string;
```

- *Type:* `string`
- *Default:* the resource is in the same region as the stack it belongs to

The AWS region this resource belongs to.

---

##### `e164PhoneNumber`<sup>Required</sup> <a name="@schuettc/cdk-chime-resources.PhoneAssociationProps.property.e164PhoneNumber" id="schuettccdkchimeresourcesphoneassociationpropspropertye164phonenumber"></a>

```typescript
public readonly e164PhoneNumber: string;
```

- *Type:* `string`

---

##### `voiceConnectorId`<sup>Required</sup> <a name="@schuettc/cdk-chime-resources.PhoneAssociationProps.property.voiceConnectorId" id="schuettccdkchimeresourcesphoneassociationpropspropertyvoiceconnectorid"></a>

```typescript
public readonly voiceConnectorId: string;
```

- *Type:* `string`

---

### PhoneNumberProps <a name="@schuettc/cdk-chime-resources.PhoneNumberProps" id="schuettccdkchimeresourcesphonenumberprops"></a>

Props for `PhoneNumber`.

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { PhoneNumberProps } from '@schuettc/cdk-chime-resources'

const phoneNumberProps: PhoneNumberProps = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`phoneProductType`](#schuettccdkchimeresourcesphonenumberpropspropertyphoneproducttype)<span title="Required">*</span> | [`@schuettc/cdk-chime-resources.PhoneProductType`](#@schuettc/cdk-chime-resources.PhoneProductType) | Phone Product Type (required) - SipMediaApplicationDialIn or VoiceConnector. |
| [`phoneAreaCode`](#schuettccdkchimeresourcesphonenumberpropspropertyphoneareacode) | `number` | Area Code for phone number request (optional)  - Usable only with US Country. |
| [`phoneCity`](#schuettccdkchimeresourcesphonenumberpropspropertyphonecity) | `string` | City for phone number request (optional) - Usable only with US Country. |
| [`phoneCountry`](#schuettccdkchimeresourcesphonenumberpropspropertyphonecountry) | [`@schuettc/cdk-chime-resources.PhoneCountry`](#@schuettc/cdk-chime-resources.PhoneCountry) | Country for phone number request (optional) - See https://docs.aws.amazon.com/chime/latest/ag/phone-country-reqs.html for more details. |
| [`phoneNumberTollFreePrefix`](#schuettccdkchimeresourcesphonenumberpropspropertyphonenumbertollfreeprefix) | `number` | Toll Free Prefix for phone number request (optional). |
| [`phoneNumberType`](#schuettccdkchimeresourcesphonenumberpropspropertyphonenumbertype) | [`@schuettc/cdk-chime-resources.PhoneNumberType`](#@schuettc/cdk-chime-resources.PhoneNumberType) | Phone Number Type for phone number request (optional) - Local or TollFree - Required with non-US country. |
| [`phoneState`](#schuettccdkchimeresourcesphonenumberpropspropertyphonestate) | `string` | State for phone number request (optional) - Usable only with US Country. |

---

##### `phoneProductType`<sup>Required</sup> <a name="@schuettc/cdk-chime-resources.PhoneNumberProps.property.phoneProductType" id="schuettccdkchimeresourcesphonenumberpropspropertyphoneproducttype"></a>

```typescript
public readonly phoneProductType: PhoneProductType;
```

- *Type:* [`@schuettc/cdk-chime-resources.PhoneProductType`](#@schuettc/cdk-chime-resources.PhoneProductType)
- *Default:* None

Phone Product Type (required) - SipMediaApplicationDialIn or VoiceConnector.

---

##### `phoneAreaCode`<sup>Optional</sup> <a name="@schuettc/cdk-chime-resources.PhoneNumberProps.property.phoneAreaCode" id="schuettccdkchimeresourcesphonenumberpropspropertyphoneareacode"></a>

```typescript
public readonly phoneAreaCode: number;
```

- *Type:* `number`
- *Default:* None

Area Code for phone number request (optional)  - Usable only with US Country.

---

##### `phoneCity`<sup>Optional</sup> <a name="@schuettc/cdk-chime-resources.PhoneNumberProps.property.phoneCity" id="schuettccdkchimeresourcesphonenumberpropspropertyphonecity"></a>

```typescript
public readonly phoneCity: string;
```

- *Type:* `string`
- *Default:* None

City for phone number request (optional) - Usable only with US Country.

---

##### `phoneCountry`<sup>Optional</sup> <a name="@schuettc/cdk-chime-resources.PhoneNumberProps.property.phoneCountry" id="schuettccdkchimeresourcesphonenumberpropspropertyphonecountry"></a>

```typescript
public readonly phoneCountry: PhoneCountry;
```

- *Type:* [`@schuettc/cdk-chime-resources.PhoneCountry`](#@schuettc/cdk-chime-resources.PhoneCountry)
- *Default:* US

Country for phone number request (optional) - See https://docs.aws.amazon.com/chime/latest/ag/phone-country-reqs.html for more details.

---

##### `phoneNumberTollFreePrefix`<sup>Optional</sup> <a name="@schuettc/cdk-chime-resources.PhoneNumberProps.property.phoneNumberTollFreePrefix" id="schuettccdkchimeresourcesphonenumberpropspropertyphonenumbertollfreeprefix"></a>

```typescript
public readonly phoneNumberTollFreePrefix: number;
```

- *Type:* `number`
- *Default:* None

Toll Free Prefix for phone number request (optional).

---

##### `phoneNumberType`<sup>Optional</sup> <a name="@schuettc/cdk-chime-resources.PhoneNumberProps.property.phoneNumberType" id="schuettccdkchimeresourcesphonenumberpropspropertyphonenumbertype"></a>

```typescript
public readonly phoneNumberType: PhoneNumberType;
```

- *Type:* [`@schuettc/cdk-chime-resources.PhoneNumberType`](#@schuettc/cdk-chime-resources.PhoneNumberType)
- *Default:* None

Phone Number Type for phone number request (optional) - Local or TollFree - Required with non-US country.

---

##### `phoneState`<sup>Optional</sup> <a name="@schuettc/cdk-chime-resources.PhoneNumberProps.property.phoneState" id="schuettccdkchimeresourcesphonenumberpropspropertyphonestate"></a>

```typescript
public readonly phoneState: string;
```

- *Type:* `string`
- *Default:* None

State for phone number request (optional) - Usable only with US Country.

---

### Routes <a name="@schuettc/cdk-chime-resources.Routes" id="schuettccdkchimeresourcesroutes"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { Routes } from '@schuettc/cdk-chime-resources'

const routes: Routes = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`host`](#schuettccdkchimeresourcesroutespropertyhost)<span title="Required">*</span> | `string` | *No description.* |
| [`port`](#schuettccdkchimeresourcesroutespropertyport)<span title="Required">*</span> | `number` | *No description.* |
| [`priority`](#schuettccdkchimeresourcesroutespropertypriority)<span title="Required">*</span> | `number` | *No description.* |
| [`protocol`](#schuettccdkchimeresourcesroutespropertyprotocol)<span title="Required">*</span> | [`@schuettc/cdk-chime-resources.Protocol`](#@schuettc/cdk-chime-resources.Protocol) | *No description.* |
| [`weight`](#schuettccdkchimeresourcesroutespropertyweight)<span title="Required">*</span> | `number` | *No description.* |

---

##### `host`<sup>Required</sup> <a name="@schuettc/cdk-chime-resources.Routes.property.host" id="schuettccdkchimeresourcesroutespropertyhost"></a>

```typescript
public readonly host: string;
```

- *Type:* `string`

---

##### `port`<sup>Required</sup> <a name="@schuettc/cdk-chime-resources.Routes.property.port" id="schuettccdkchimeresourcesroutespropertyport"></a>

```typescript
public readonly port: number;
```

- *Type:* `number`

---

##### `priority`<sup>Required</sup> <a name="@schuettc/cdk-chime-resources.Routes.property.priority" id="schuettccdkchimeresourcesroutespropertypriority"></a>

```typescript
public readonly priority: number;
```

- *Type:* `number`

---

##### `protocol`<sup>Required</sup> <a name="@schuettc/cdk-chime-resources.Routes.property.protocol" id="schuettccdkchimeresourcesroutespropertyprotocol"></a>

```typescript
public readonly protocol: Protocol;
```

- *Type:* [`@schuettc/cdk-chime-resources.Protocol`](#@schuettc/cdk-chime-resources.Protocol)

---

##### `weight`<sup>Required</sup> <a name="@schuettc/cdk-chime-resources.Routes.property.weight" id="schuettccdkchimeresourcesroutespropertyweight"></a>

```typescript
public readonly weight: number;
```

- *Type:* `number`

---

### SipMediaAppProps <a name="@schuettc/cdk-chime-resources.SipMediaAppProps" id="schuettccdkchimeresourcessipmediaappprops"></a>

Props for `SipMediaApplication`.

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { SipMediaAppProps } from '@schuettc/cdk-chime-resources'

const sipMediaAppProps: SipMediaAppProps = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`endpoint`](#schuettccdkchimeresourcessipmediaapppropspropertyendpoint)<span title="Required">*</span> | `string` | endpoint for SipMediaApplication(required). |
| [`name`](#schuettccdkchimeresourcessipmediaapppropspropertyname) | `string` | name for SipMediaApplication (optional). |
| [`region`](#schuettccdkchimeresourcessipmediaapppropspropertyregion) | `string` | region for SipMediaApplication(required) - Must us-east-1 or us-west-2 and in the same region as the SipMediaApplication Lambda handler. |

---

##### `endpoint`<sup>Required</sup> <a name="@schuettc/cdk-chime-resources.SipMediaAppProps.property.endpoint" id="schuettccdkchimeresourcessipmediaapppropspropertyendpoint"></a>

```typescript
public readonly endpoint: string;
```

- *Type:* `string`
- *Default:* none

endpoint for SipMediaApplication(required).

---

##### `name`<sup>Optional</sup> <a name="@schuettc/cdk-chime-resources.SipMediaAppProps.property.name" id="schuettccdkchimeresourcessipmediaapppropspropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`
- *Default:* unique ID for resource

name for SipMediaApplication (optional).

---

##### `region`<sup>Optional</sup> <a name="@schuettc/cdk-chime-resources.SipMediaAppProps.property.region" id="schuettccdkchimeresourcessipmediaapppropspropertyregion"></a>

```typescript
public readonly region: string;
```

- *Type:* `string`
- *Default:* same region as stack deployment

region for SipMediaApplication(required) - Must us-east-1 or us-west-2 and in the same region as the SipMediaApplication Lambda handler.

---

### SipRuleProps <a name="@schuettc/cdk-chime-resources.SipRuleProps" id="schuettccdkchimeresourcessipruleprops"></a>

Props for `SipRule`.

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { SipRuleProps } from '@schuettc/cdk-chime-resources'

const sipRuleProps: SipRuleProps = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`targetApplications`](#schuettccdkchimeresourcessiprulepropspropertytargetapplications)<span title="Required">*</span> | [`@schuettc/cdk-chime-resources.TargetApplications`](#@schuettc/cdk-chime-resources.TargetApplications)[] | *No description.* |
| [`triggerType`](#schuettccdkchimeresourcessiprulepropspropertytriggertype)<span title="Required">*</span> | [`@schuettc/cdk-chime-resources.TriggerType`](#@schuettc/cdk-chime-resources.TriggerType) | Trigger Type for SipRule (required) - TO_PHONE_NUMBER or REQUEST_URI_HOSTNAME. |
| [`triggerValue`](#schuettccdkchimeresourcessiprulepropspropertytriggervalue)<span title="Required">*</span> | `string` | Trigger Value for SipRule (required) - EE.164 Phone Number or Voice Connector URI. |
| [`name`](#schuettccdkchimeresourcessiprulepropspropertyname) | `string` | name for SipRule (optional). |

---

##### `targetApplications`<sup>Required</sup> <a name="@schuettc/cdk-chime-resources.SipRuleProps.property.targetApplications" id="schuettccdkchimeresourcessiprulepropspropertytargetapplications"></a>

```typescript
public readonly targetApplications: TargetApplications[];
```

- *Type:* [`@schuettc/cdk-chime-resources.TargetApplications`](#@schuettc/cdk-chime-resources.TargetApplications)[]

---

##### `triggerType`<sup>Required</sup> <a name="@schuettc/cdk-chime-resources.SipRuleProps.property.triggerType" id="schuettccdkchimeresourcessiprulepropspropertytriggertype"></a>

```typescript
public readonly triggerType: TriggerType;
```

- *Type:* [`@schuettc/cdk-chime-resources.TriggerType`](#@schuettc/cdk-chime-resources.TriggerType)
- *Default:* none

Trigger Type for SipRule (required) - TO_PHONE_NUMBER or REQUEST_URI_HOSTNAME.

---

##### `triggerValue`<sup>Required</sup> <a name="@schuettc/cdk-chime-resources.SipRuleProps.property.triggerValue" id="schuettccdkchimeresourcessiprulepropspropertytriggervalue"></a>

```typescript
public readonly triggerValue: string;
```

- *Type:* `string`
- *Default:* none

Trigger Value for SipRule (required) - EE.164 Phone Number or Voice Connector URI.

---

##### `name`<sup>Optional</sup> <a name="@schuettc/cdk-chime-resources.SipRuleProps.property.name" id="schuettccdkchimeresourcessiprulepropspropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`
- *Default:* unique ID for resource

name for SipRule (optional).

---

### Streaming <a name="@schuettc/cdk-chime-resources.Streaming" id="schuettccdkchimeresourcesstreaming"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { Streaming } from '@schuettc/cdk-chime-resources'

const streaming: Streaming = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`dataRetention`](#schuettccdkchimeresourcesstreamingpropertydataretention)<span title="Required">*</span> | `number` | Streaming data retention for VoiceConnector. |
| [`enabled`](#schuettccdkchimeresourcesstreamingpropertyenabled)<span title="Required">*</span> | `boolean` | *No description.* |
| [`notificationTargets`](#schuettccdkchimeresourcesstreamingpropertynotificationtargets)<span title="Required">*</span> | [`@schuettc/cdk-chime-resources.NotificationTargetType`](#@schuettc/cdk-chime-resources.NotificationTargetType)[] | Streaming data retention for VoiceConnector. |

---

##### `dataRetention`<sup>Required</sup> <a name="@schuettc/cdk-chime-resources.Streaming.property.dataRetention" id="schuettccdkchimeresourcesstreamingpropertydataretention"></a>

```typescript
public readonly dataRetention: number;
```

- *Type:* `number`
- *Default:* 0

Streaming data retention for VoiceConnector.

---

##### `enabled`<sup>Required</sup> <a name="@schuettc/cdk-chime-resources.Streaming.property.enabled" id="schuettccdkchimeresourcesstreamingpropertyenabled"></a>

```typescript
public readonly enabled: boolean;
```

- *Type:* `boolean`

---

##### `notificationTargets`<sup>Required</sup> <a name="@schuettc/cdk-chime-resources.Streaming.property.notificationTargets" id="schuettccdkchimeresourcesstreamingpropertynotificationtargets"></a>

```typescript
public readonly notificationTargets: NotificationTargetType[];
```

- *Type:* [`@schuettc/cdk-chime-resources.NotificationTargetType`](#@schuettc/cdk-chime-resources.NotificationTargetType)[]
- *Default:* 0

Streaming data retention for VoiceConnector.

---

### TargetApplications <a name="@schuettc/cdk-chime-resources.TargetApplications" id="schuettccdkchimeresourcestargetapplications"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { TargetApplications } from '@schuettc/cdk-chime-resources'

const targetApplications: TargetApplications = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`priority`](#schuettccdkchimeresourcestargetapplicationspropertypriority)<span title="Required">*</span> | `number` | Priority for SipRule (required) - 1 to 25. |
| [`sipMediaApplicationId`](#schuettccdkchimeresourcestargetapplicationspropertysipmediaapplicationid)<span title="Required">*</span> | `string` | SipMediaApplicationId for SipRule (required). |
| [`region`](#schuettccdkchimeresourcestargetapplicationspropertyregion) | `string` | Region for SipRule (optional). |

---

##### `priority`<sup>Required</sup> <a name="@schuettc/cdk-chime-resources.TargetApplications.property.priority" id="schuettccdkchimeresourcestargetapplicationspropertypriority"></a>

```typescript
public readonly priority: number;
```

- *Type:* `number`
- *Default:* none

Priority for SipRule (required) - 1 to 25.

---

##### `sipMediaApplicationId`<sup>Required</sup> <a name="@schuettc/cdk-chime-resources.TargetApplications.property.sipMediaApplicationId" id="schuettccdkchimeresourcestargetapplicationspropertysipmediaapplicationid"></a>

```typescript
public readonly sipMediaApplicationId: string;
```

- *Type:* `string`
- *Default:* none

SipMediaApplicationId for SipRule (required).

---

##### `region`<sup>Optional</sup> <a name="@schuettc/cdk-chime-resources.TargetApplications.property.region" id="schuettccdkchimeresourcestargetapplicationspropertyregion"></a>

```typescript
public readonly region: string;
```

- *Type:* `string`
- *Default:* same region as stack deployment

Region for SipRule (optional).

---

### Termination <a name="@schuettc/cdk-chime-resources.Termination" id="schuettccdkchimeresourcestermination"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { Termination } from '@schuettc/cdk-chime-resources'

const termination: Termination = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`callingRegions`](#schuettccdkchimeresourcesterminationpropertycallingregions)<span title="Required">*</span> | `string`[] | Calling Regions for VoiceConnector (optional). |
| [`terminationCidrs`](#schuettccdkchimeresourcesterminationpropertyterminationcidrs)<span title="Required">*</span> | `string`[] | termination IP for VoiceConnector (optional). |

---

##### `callingRegions`<sup>Required</sup> <a name="@schuettc/cdk-chime-resources.Termination.property.callingRegions" id="schuettccdkchimeresourcesterminationpropertycallingregions"></a>

```typescript
public readonly callingRegions: string[];
```

- *Type:* `string`[]
- *Default:* ['US']

Calling Regions for VoiceConnector (optional).

---

##### `terminationCidrs`<sup>Required</sup> <a name="@schuettc/cdk-chime-resources.Termination.property.terminationCidrs" id="schuettccdkchimeresourcesterminationpropertyterminationcidrs"></a>

```typescript
public readonly terminationCidrs: string[];
```

- *Type:* `string`[]
- *Default:* none

termination IP for VoiceConnector (optional).

---

### VoiceConnectorProps <a name="@schuettc/cdk-chime-resources.VoiceConnectorProps" id="schuettccdkchimeresourcesvoiceconnectorprops"></a>

Props for `SipMediaApplication`.

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { VoiceConnectorProps } from '@schuettc/cdk-chime-resources'

const voiceConnectorProps: VoiceConnectorProps = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`encryption`](#schuettccdkchimeresourcesvoiceconnectorpropspropertyencryption) | `boolean` | Encryption boolean for VoiceConnector. |
| [`name`](#schuettccdkchimeresourcesvoiceconnectorpropspropertyname) | `string` | name for VoiceConnector. |
| [`origination`](#schuettccdkchimeresourcesvoiceconnectorpropspropertyorigination) | [`@schuettc/cdk-chime-resources.Routes`](#@schuettc/cdk-chime-resources.Routes)[] | *No description.* |
| [`region`](#schuettccdkchimeresourcesvoiceconnectorpropspropertyregion) | `string` | region for SipMediaApplication(required) - Must us-east-1 or us-west-2 and in the same region as the SipMediaApplication Lambda handler. |
| [`streaming`](#schuettccdkchimeresourcesvoiceconnectorpropspropertystreaming) | [`@schuettc/cdk-chime-resources.Streaming`](#@schuettc/cdk-chime-resources.Streaming) | *No description.* |
| [`termination`](#schuettccdkchimeresourcesvoiceconnectorpropspropertytermination) | [`@schuettc/cdk-chime-resources.Termination`](#@schuettc/cdk-chime-resources.Termination) | *No description.* |

---

##### `encryption`<sup>Optional</sup> <a name="@schuettc/cdk-chime-resources.VoiceConnectorProps.property.encryption" id="schuettccdkchimeresourcesvoiceconnectorpropspropertyencryption"></a>

```typescript
public readonly encryption: boolean;
```

- *Type:* `boolean`
- *Default:* False

Encryption boolean for VoiceConnector.

---

##### `name`<sup>Optional</sup> <a name="@schuettc/cdk-chime-resources.VoiceConnectorProps.property.name" id="schuettccdkchimeresourcesvoiceconnectorpropspropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`
- *Default:* unique ID for resource

name for VoiceConnector.

---

##### `origination`<sup>Optional</sup> <a name="@schuettc/cdk-chime-resources.VoiceConnectorProps.property.origination" id="schuettccdkchimeresourcesvoiceconnectorpropspropertyorigination"></a>

```typescript
public readonly origination: Routes[];
```

- *Type:* [`@schuettc/cdk-chime-resources.Routes`](#@schuettc/cdk-chime-resources.Routes)[]

---

##### `region`<sup>Optional</sup> <a name="@schuettc/cdk-chime-resources.VoiceConnectorProps.property.region" id="schuettccdkchimeresourcesvoiceconnectorpropspropertyregion"></a>

```typescript
public readonly region: string;
```

- *Type:* `string`
- *Default:* same region as stack deployment

region for SipMediaApplication(required) - Must us-east-1 or us-west-2 and in the same region as the SipMediaApplication Lambda handler.

---

##### `streaming`<sup>Optional</sup> <a name="@schuettc/cdk-chime-resources.VoiceConnectorProps.property.streaming" id="schuettccdkchimeresourcesvoiceconnectorpropspropertystreaming"></a>

```typescript
public readonly streaming: Streaming;
```

- *Type:* [`@schuettc/cdk-chime-resources.Streaming`](#@schuettc/cdk-chime-resources.Streaming)

---

##### `termination`<sup>Optional</sup> <a name="@schuettc/cdk-chime-resources.VoiceConnectorProps.property.termination" id="schuettccdkchimeresourcesvoiceconnectorpropspropertytermination"></a>

```typescript
public readonly termination: Termination;
```

- *Type:* [`@schuettc/cdk-chime-resources.Termination`](#@schuettc/cdk-chime-resources.Termination)

---



## Enums <a name="Enums" id="enums"></a>

### NotificationTargetType <a name="NotificationTargetType" id="notificationtargettype"></a>

| **Name** | **Description** |
| --- | --- |
| [`EVENTBRIDGE`](#schuettccdkchimeresourcesnotificationtargettypeeventbridge) | *No description.* |
| [`SNS`](#schuettccdkchimeresourcesnotificationtargettypesns) | *No description.* |
| [`SQS`](#schuettccdkchimeresourcesnotificationtargettypesqs) | *No description.* |

---

#### `EVENTBRIDGE` <a name="@schuettc/cdk-chime-resources.NotificationTargetType.EVENTBRIDGE" id="schuettccdkchimeresourcesnotificationtargettypeeventbridge"></a>

---


#### `SNS` <a name="@schuettc/cdk-chime-resources.NotificationTargetType.SNS" id="schuettccdkchimeresourcesnotificationtargettypesns"></a>

---


#### `SQS` <a name="@schuettc/cdk-chime-resources.NotificationTargetType.SQS" id="schuettccdkchimeresourcesnotificationtargettypesqs"></a>

---


### PhoneCountry <a name="PhoneCountry" id="phonecountry"></a>

| **Name** | **Description** |
| --- | --- |
| [`AU`](#schuettccdkchimeresourcesphonecountryau) | *No description.* |
| [`AT`](#schuettccdkchimeresourcesphonecountryat) | *No description.* |
| [`CA`](#schuettccdkchimeresourcesphonecountryca) | *No description.* |
| [`DK`](#schuettccdkchimeresourcesphonecountrydk) | *No description.* |
| [`DE`](#schuettccdkchimeresourcesphonecountryde) | *No description.* |
| [`IE`](#schuettccdkchimeresourcesphonecountryie) | *No description.* |
| [`IT`](#schuettccdkchimeresourcesphonecountryit) | *No description.* |
| [`NZ`](#schuettccdkchimeresourcesphonecountrynz) | *No description.* |
| [`NG`](#schuettccdkchimeresourcesphonecountryng) | *No description.* |
| [`PR`](#schuettccdkchimeresourcesphonecountrypr) | *No description.* |
| [`KR`](#schuettccdkchimeresourcesphonecountrykr) | *No description.* |
| [`SE`](#schuettccdkchimeresourcesphonecountryse) | *No description.* |
| [`CH`](#schuettccdkchimeresourcesphonecountrych) | *No description.* |
| [`UK`](#schuettccdkchimeresourcesphonecountryuk) | *No description.* |
| [`US`](#schuettccdkchimeresourcesphonecountryus) | *No description.* |

---

#### `AU` <a name="@schuettc/cdk-chime-resources.PhoneCountry.AU" id="schuettccdkchimeresourcesphonecountryau"></a>

---


#### `AT` <a name="@schuettc/cdk-chime-resources.PhoneCountry.AT" id="schuettccdkchimeresourcesphonecountryat"></a>

---


#### `CA` <a name="@schuettc/cdk-chime-resources.PhoneCountry.CA" id="schuettccdkchimeresourcesphonecountryca"></a>

---


#### `DK` <a name="@schuettc/cdk-chime-resources.PhoneCountry.DK" id="schuettccdkchimeresourcesphonecountrydk"></a>

---


#### `DE` <a name="@schuettc/cdk-chime-resources.PhoneCountry.DE" id="schuettccdkchimeresourcesphonecountryde"></a>

---


#### `IE` <a name="@schuettc/cdk-chime-resources.PhoneCountry.IE" id="schuettccdkchimeresourcesphonecountryie"></a>

---


#### `IT` <a name="@schuettc/cdk-chime-resources.PhoneCountry.IT" id="schuettccdkchimeresourcesphonecountryit"></a>

---


#### `NZ` <a name="@schuettc/cdk-chime-resources.PhoneCountry.NZ" id="schuettccdkchimeresourcesphonecountrynz"></a>

---


#### `NG` <a name="@schuettc/cdk-chime-resources.PhoneCountry.NG" id="schuettccdkchimeresourcesphonecountryng"></a>

---


#### `PR` <a name="@schuettc/cdk-chime-resources.PhoneCountry.PR" id="schuettccdkchimeresourcesphonecountrypr"></a>

---


#### `KR` <a name="@schuettc/cdk-chime-resources.PhoneCountry.KR" id="schuettccdkchimeresourcesphonecountrykr"></a>

---


#### `SE` <a name="@schuettc/cdk-chime-resources.PhoneCountry.SE" id="schuettccdkchimeresourcesphonecountryse"></a>

---


#### `CH` <a name="@schuettc/cdk-chime-resources.PhoneCountry.CH" id="schuettccdkchimeresourcesphonecountrych"></a>

---


#### `UK` <a name="@schuettc/cdk-chime-resources.PhoneCountry.UK" id="schuettccdkchimeresourcesphonecountryuk"></a>

---


#### `US` <a name="@schuettc/cdk-chime-resources.PhoneCountry.US" id="schuettccdkchimeresourcesphonecountryus"></a>

---


### PhoneNumberType <a name="PhoneNumberType" id="phonenumbertype"></a>

| **Name** | **Description** |
| --- | --- |
| [`LOCAL`](#schuettccdkchimeresourcesphonenumbertypelocal) | *No description.* |
| [`TOLLFREE`](#schuettccdkchimeresourcesphonenumbertypetollfree) | *No description.* |

---

#### `LOCAL` <a name="@schuettc/cdk-chime-resources.PhoneNumberType.LOCAL" id="schuettccdkchimeresourcesphonenumbertypelocal"></a>

---


#### `TOLLFREE` <a name="@schuettc/cdk-chime-resources.PhoneNumberType.TOLLFREE" id="schuettccdkchimeresourcesphonenumbertypetollfree"></a>

---


### PhoneProductType <a name="PhoneProductType" id="phoneproducttype"></a>

| **Name** | **Description** |
| --- | --- |
| [`SMA`](#schuettccdkchimeresourcesphoneproducttypesma) | *No description.* |
| [`VC`](#schuettccdkchimeresourcesphoneproducttypevc) | *No description.* |

---

#### `SMA` <a name="@schuettc/cdk-chime-resources.PhoneProductType.SMA" id="schuettccdkchimeresourcesphoneproducttypesma"></a>

---


#### `VC` <a name="@schuettc/cdk-chime-resources.PhoneProductType.VC" id="schuettccdkchimeresourcesphoneproducttypevc"></a>

---


### Protocol <a name="Protocol" id="protocol"></a>

| **Name** | **Description** |
| --- | --- |
| [`TCP`](#schuettccdkchimeresourcesprotocoltcp) | *No description.* |

---

#### `TCP` <a name="@schuettc/cdk-chime-resources.Protocol.TCP" id="schuettccdkchimeresourcesprotocoltcp"></a>

---


### TriggerType <a name="TriggerType" id="triggertype"></a>

| **Name** | **Description** |
| --- | --- |
| [`TO_PHONE_NUMBER`](#schuettccdkchimeresourcestriggertypetophonenumber) | *No description.* |
| [`REQUEST_URI_HOSTNAME`](#schuettccdkchimeresourcestriggertyperequesturihostname) | *No description.* |

---

#### `TO_PHONE_NUMBER` <a name="@schuettc/cdk-chime-resources.TriggerType.TO_PHONE_NUMBER" id="schuettccdkchimeresourcestriggertypetophonenumber"></a>

---


#### `REQUEST_URI_HOSTNAME` <a name="@schuettc/cdk-chime-resources.TriggerType.REQUEST_URI_HOSTNAME" id="schuettccdkchimeresourcestriggertyperequesturihostname"></a>

---

